Bug 755351 - Nautilus segmentation fault at ../sysdeps/i386/dl-machine.h:644
Nautilus segmentation fault at ../sysdeps/i386/dl-machine.h:644
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-11-20 16:06 EST by Kerry
Modified: 2015-03-03 18:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-12-14 05:50:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kerry 2011-11-20 16:06:54 EST
Description of problem:
Nautilus core dumps

Version-Release number of selected component (if applicable):
$ rpm -q nautilus

How reproducible:

Steps to Reproduce:
1. Run 'nautilus'
Actual results:
$ nautilus 
Initializing nautilus-open-terminal extension
Segmentation fault (core dumped)
$ gdb core.15965 
GNU gdb (GDB) Fedora (
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
Reading symbols from /usr/bin/nautilus...Reading symbols from /usr/lib/debug/usr/bin/nautilus.debug...done.
[New LWP 15965]
[New LWP 15968]
[New LWP 15969]
[New LWP 15970]
Missing separate debuginfo for 
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/db/8dfab1cb00f1914573d3aa11e942b2d2a9b946
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `nautilus'.
Program terminated with signal 11, Segmentation fault.
#0  elf_machine_rela_relative (reloc_addr_arg=0xb2b18215, l_addr=2973650944, reloc=<optimized out>)
    at ../sysdeps/i386/dl-machine.h:644
644       *reloc_addr = l_addr + reloc->r_addend;
(gdb) bt
#0  elf_machine_rela_relative (reloc_addr_arg=0xb2b18215, l_addr=2973650944, reloc=<optimized out>)
    at ../sysdeps/i386/dl-machine.h:644
#1  elf_dynamic_do_Rela (skip_ifunc=0, nrelative=557919, relsize=6780864, reladdr=<optimized out>, 
    map=0x8d49078, lazy=<optimized out>) at do-rel.h:121
#2  _dl_relocate_object (scope=0x8d49230, reloc_mode=1, consider_profiling=0) at dl-reloc.c:265
#3  0x4b8fa3ab in dl_open_worker (a=0xbfce4fb0) at dl-open.c:338
#4  0x4b8f5d0f in _dl_catch_error (objname=0xbfce4fd4, errstring=0xbfce4fd8, mallocedp=0xbfce4fdf, 
    operate=0x4b8fa100 <dl_open_worker>, args=0xbfce4fb0) at dl-error.c:178
#5  0x4b8f9d06 in _dl_open (file=
    0x8ccb800 "/usr/lib/nautilus/extensions-3.0/libtotem-properties-page.so", mode=-2147483647, 
    caller_dlopen=0x4c5f5354, nsid=-2, argc=1, argv=0xbfce58b4, env=0xbfce58bc) at dl-open.c:575
#6  0x4bae9c09 in dlopen_doit (a=0xbfce5180) at dlopen.c:67
#7  0x4b8f5d0f in _dl_catch_error (objname=0x8c6b4ac, errstring=0x8c6b4b0, mallocedp=0x8c6b4a8, 
    operate=0x4bae9b70 <dlopen_doit>, args=0xbfce5180) at dl-error.c:178
#8  0x4baea3ba in _dlerror_run (operate=0x4bae9b70 <dlopen_doit>, args=0xbfce5180) at dlerror.c:164
#9  0x4bae9cb7 in __dlopen (file=
    0x8ccb800 "/usr/lib/nautilus/extensions-3.0/libtotem-properties-page.so", mode=1)
    at dlopen.c:88
#10 0x4c5f5354 in _g_module_open (bind_local=1, bind_lazy=1, file_name=
    0x8ccb800 "/usr/lib/nautilus/extensions-3.0/libtotem-properties-page.so") at gmodule-dl.c:99
#11 g_module_open (file_name=
    0x8d35d48 "/usr/lib/nautilus/extensions-3.0/libtotem-properties-page.so", flags=
    G_MODULE_BIND_MASK) at gmodule.c:439
#12 0x081271dc in nautilus_module_load (gmodule=0x8ca5b80 [NautilusModule]) at nautilus-module.c:85
#13 0x4bfdda49 in g_type_module_use (module=0x8ca5b80 [NautilusModule]) at gtypemodule.c:256
---Type <return> to continue, or q <return> to quit---
#14 0x08127539 in nautilus_module_load_file (filename=
    0x8ccafb8 "/usr/lib/nautilus/extensions-3.0/libtotem-properties-page.so")
    at nautilus-module.c:195
#15 load_module_dir (dirname=0x817788c "/usr/lib/nautilus/extensions-3.0") at nautilus-module.c:222
#16 nautilus_module_setup () at nautilus-module.c:252
#17 0x0806872a in nautilus_application_startup (app=0x8c67c00 [NautilusApplication])
    at nautilus-application.c:1126
#18 0x4bfb7c14 in g_cclosure_marshal_VOID__VOID (closure=0x8c5e630, return_value=0x0, 
    n_param_values=1, param_values=0x8c9d638, invocation_hint=0xbfce5490, marshal_data=0x8068650)
    at gmarshal.c:85
#19 0x4bfb503e in g_type_class_meta_marshal (closure=0x8c5e630, return_value=0x0, n_param_values=
    1, param_values=0x8c9d638, invocation_hint=0xbfce5490, marshal_data=0x44) at gclosure.c:885
#20 0x4bfb6645 in g_closure_invoke (closure=0x8c5e630, return_value=0x0, n_param_values=1, 
    param_values=0x8c9d638, invocation_hint=0xbfce5490) at gclosure.c:774
#21 0x4bfc96a8 in signal_emit_unlocked_R (node=0x8c65860, detail=0, instance=0x8c67c00, 
    emission_return=0x0, instance_and_params=0x8c9d638) at gsignal.c:3310
#22 0x4bfd22ff in g_signal_emit_valist (instance=0x8c67c00, signal_id=6, detail=0, var_args=
    0xbfce564c "@|\306\b") at gsignal.c:3003
#23 0x4bfd2464 in g_signal_emit (instance=0x8c67c00, signal_id=6, detail=0) at gsignal.c:3060
#24 0x4c766ee6 in g_application_register (error=0xbfce5784, cancellable=0x0, application=
    0x8c67c00 [NautilusApplication]) at gapplication.c:1025
#25 g_application_register (application=0x8c67c00 [NautilusApplication], cancellable=0x0, error=
    0xbfce5784) at gapplication.c:999
#26 0x08068465 in nautilus_application_local_command_line (application=
    0x8c67c00 [NautilusApplication], arguments=0xbfce57d4, exit_status=0xbfce57d8)
---Type <return> to continue, or q <return> to quit---
    at nautilus-application.c:947
#27 0x4c7674bd in g_application_run (application=0x8c67c00 [NautilusApplication], argc=1, argv=
    0xbfce58b4) at gapplication.c:1274
#28 0x080677c5 in main (argc=1, argv=0xbfce58b4) at nautilus-main.c:102

Expected results:

Additional info:
Comment 1 Tomáš Bžatek 2011-12-13 10:26:52 EST
This looks like a problem with binaries - can you please update whole system and see if you can reproduce this?
Comment 2 Kerry 2011-12-13 23:44:15 EST
I can't currently reproduce it. I still have the same version of Nautilus

$ rpm -q nautilus

But there have been a number of other updates since then. One of those must have resolved it (totem?).
Comment 3 Tomáš Bžatek 2011-12-14 05:50:35 EST
Okay, let's close this bugreport for the moment, feel free to reopen when issue appears again.

Note You need to log in before you can comment on or make changes to this bug.